depend: temp-A-Makefile temp-B-Makefile temp-C-Makefile \
		temp-D-Makefile temp-E-Makefile
	rm -f dependencies
	cat temp-?-Makefile >dependencies
	rm temp-?-Makefile temp-?-files
	echo depend ready.

temp-A-Makefile: c-indexes specials
	-$(CC) -M $(CFLAGS) `cat temp-A-files`     >temp-A-Makefile

temp-B-Makefile: c-indexes specials
	-$(CC) -M ${CFLAGS} `cat temp-B-files`     >temp-B-Makefile

temp-C-Makefile: c-indexes specials
	-$(CC) -M ${CFLAGS} `cat temp-C-files`     >temp-C-Makefile

temp-D-Makefile: c-indexes specials
	-$(CC) -M ${CFLAGS} `cat temp-D-files`     >temp-D-Makefile

temp-E-Makefile: c-indexes specials
	-$(CC) -M ${CFLAGS} `cat temp-E-files`     >temp-E-Makefile

c-indexes: 
	ls *.c|${AWK} '{ a[i++] = $$1; }				\
	   END { for ( j = 0; j < i; j++ )				\
		   print a[j] > sprintf("temp-%c-files", 65 + j % 5); }

dependencies:
	touch dependencies
