depend: temp-A-Makefile temp-B-Makefile temp-C-Makefile temp-D-Makefile \
		temp-E-Makefile
	rcs -l dependencies
	rm -f dependencies
	cat temp-?-Makefile				>dependencies
	rm temp-?-Makefile temp-?-files
	echo " " | ci dependencies

temp-A-Makefile: c-indexes
	gcc -M ${TARGET} ${INCLUDES} `cat temp-A-files`	>temp-A-Makefile

temp-B-Makefile: c-indexes
	gcc -M ${TARGET} ${INCLUDES} `cat temp-B-files`	>temp-B-Makefile

temp-C-Makefile: c-indexes
	gcc -M ${TARGET} ${INCLUDES} `cat temp-C-files`	>temp-C-Makefile

temp-D-Makefile: c-indexes
	gcc -M ${TARGET} ${INCLUDES} `cat temp-D-files`	>temp-D-Makefile

temp-E-Makefile: c-indexes
	gcc -M ${TARGET} ${INCLUDES} `cat temp-E-files`	>temp-E-Makefile

c-indexes: sources
	echo ${SRCS}|tr " " \\012 |${AWK} '{ a[i++] = $$1; }				\
	   END { for ( j = 0; j < i; j++ )				\
		   print a[j] > sprintf("temp-%c-files", 65 + j % 5); }
