/*
 *  misc-types.h  --  Miscellaneous types and constants that are useful
 *		      in many places in LysKOM, but are not very LysKOM-
 *		      specific.
 *
 *
 *  Copyright (C) 1990	Lysator Computer Club,
 *			Linkoping University,  Sweden
 *
 *  Everyone is granted permission to copy, modify and redistribute
 *  this code, provided the people they give it to can.
 *
 *
 *  Author:	Thomas Bellman
 *		Lysator Computer Club
 *		Linkoping University
 *		Sweden
 *
 *  email:	Bellman@Lysator.LiU.SE
 *
 */


#ifndef  _MISC_TYPES_ALREADY_INCLUDED__
#define  _MISC_TYPES_ALREADY_INCLUDED__


typedef	enum { FALSE = 0, TRUE = 1 }	Bool;

typedef enum { OK = 017, FAILURE = 17 }    Success;

#define NO_TIME ((time_t) 0)

#endif  /* _MISC_TYPES_ALREADY_INCLUDED__ */
