/*
 * $Id: config-template.h,v 1.3 1991/08/30 10:00:13 ceder Exp $
 *
 * This is a generic configuration file for LysKOM.
 */

/*
 * Define BUGGY_INET_NTOA if inet_ntoa is buggy. This is the case for
 * a Sun Sparc with SunOS 4.1.1. If you define BUGGY_INET_NTOA a
 * replacement routine (from libraries/libisc/inet_ntoa.c) will be
 * used.
 */

#define BUGGY_INET_NTOA

/*
 * Define HAVE_LOCALE if you have it (and want to use it).
 */

#define HAVE_LOCALE

/*
 * Define HAVE_STRERROR if your libc.a have strerror.
 */

#define HAVE_STRERROR

/*
 * If you have the getdtablesize system call.
 */

#define HAVE_GETDTABLESIZE

/*
 * Max number of file descriptors that can be opened by a process.
 * If this is set too large here, the server will crash when too many
 * people try to connect at the same time.
 */

#include <sys/param.h>		/* One way to do it... */
#define MAX_OPEN_FD NOFILE

#include <limits.h>		/* Another. (I'm not sure that this  */
#define MAX_OPEN_FD _POSIX_OPEN_MAX /* is correct - use at your own risk!*/
